安全研究

威胁情报
TP-LINK WR841N V8 Router 代码执行漏洞

近日,IoT安全公司Senrio披露了存在于TP-LINK WR841N V8版本的路由器的2个安全漏洞,成功利用漏洞可以使得攻击者在该路由器上执行任意代码。据Senrio的研究人员表示,该型号的路由器的配置服务(configuration service)存在一个逻辑漏洞(CVE-2017-9466),攻击者可以绕过访问限制来重置路由器的验证信息(密码等)。在利用该漏洞获得更高权限后,攻击者可以再次利用一个配置服务里存在的栈溢出漏洞来执行代码。针对本次安全问题,TP-LINK官方已经发布了相关的固件升级补丁,用户可以升级来防护该漏洞。


参考链接:

http://blog.senr.io/blog/cve-2017-9466-why-is-my-router-blinking-morse-code

http://www.ibtimes.com/router-vulnerability-tp-link-issues-patch-fix-remote-code-execution-exploit-old-2555113

https://threatpost.com/tp-link-fixes-code-execution-vulnerability-in-end-of-life-routers/126416/      


受影响的版本

TP-LINK WR841N V8路由器(以及更早的固件版本)


不受影响的版本

其他版本不受影响


规避方案

TP-LINK已经不再支持该型号的硬件产品,但是也发布了相关的固件升级补丁并且去除了存在漏洞的服务,仍在使用WR841N V8版本产品的用户应该及时下载更新固件版本来防护该漏洞,下载链接:

http://service.tp-link.com.cn/list_download_software_1_0_222.html

更多关于此路由器的信息,请参考:

http://www.tp-link.com.cn/product_222.html


声 明

本安全公告仅用来描述可能存在的安全问题,绿盟科技不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,绿盟科技以及安全公告作者不为此承担任何责任。绿盟科技拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经绿盟科技允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。


浏览次数:

关 闭